package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsStorePaymentError;

/**
 * 错误表Mapper接口
 * 
 * @author fs
 * @date 2024-01-05
 */
public interface FsStorePaymentErrorMapper 
{
    /**
     * 查询错误表
     * 
     * @param id 错误表主键
     * @return 错误表
     */
    public FsStorePaymentError selectFsStorePaymentErrorById(Long id);

    /**
     * 查询错误表列表
     * 
     * @param fsStorePaymentError 错误表
     * @return 错误表集合
     */
    public List<FsStorePaymentError> selectFsStorePaymentErrorList(FsStorePaymentError fsStorePaymentError);

    /**
     * 新增错误表
     * 
     * @param fsStorePaymentError 错误表
     * @return 结果
     */
    public int insertFsStorePaymentError(FsStorePaymentError fsStorePaymentError);

    /**
     * 修改错误表
     * 
     * @param fsStorePaymentError 错误表
     * @return 结果
     */
    public int updateFsStorePaymentError(FsStorePaymentError fsStorePaymentError);

    /**
     * 删除错误表
     * 
     * @param id 错误表主键
     * @return 结果
     */
    public int deleteFsStorePaymentErrorById(Long id);

    /**
     * 批量删除错误表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsStorePaymentErrorByIds(Long[] ids);
}
